VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmManage 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Manage Templates"
   ClientHeight    =   5445
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7950
   Icon            =   "frmManage.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5445
   ScaleWidth      =   7950
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdDone 
      Caption         =   "Done"
      Height          =   375
      Left            =   4080
      TabIndex        =   4
      Top             =   5040
      Width           =   1215
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   5400
      TabIndex        =   3
      Top             =   5040
      Width           =   1215
   End
   Begin VB.CommandButton cmdApply 
      Caption         =   "Apply"
      Height          =   375
      Left            =   6720
      TabIndex        =   2
      Top             =   5040
      Width           =   1215
   End
   Begin VB.Frame Frame2 
      Caption         =   "Template Values"
      Height          =   4935
      Left            =   3360
      TabIndex        =   1
      Top             =   0
      Width           =   4575
      Begin VB.CommandButton cmdPreview 
         Caption         =   "Preview Template"
         Enabled         =   0   'False
         Height          =   255
         Left            =   2400
         TabIndex        =   15
         Top             =   4080
         Width           =   2055
      End
      Begin VB.TextBox txtIndex 
         Height          =   285
         Left            =   720
         Locked          =   -1  'True
         TabIndex        =   13
         ToolTipText     =   "Template Menu Index."
         Top             =   720
         Width           =   975
      End
      Begin VB.CommandButton cmdModify 
         Caption         =   "Modify"
         Enabled         =   0   'False
         Height          =   375
         Left            =   2400
         TabIndex        =   11
         ToolTipText     =   "Modify the current template."
         Top             =   4440
         Width           =   975
      End
      Begin VB.CommandButton cmdRemove 
         Caption         =   "Remove"
         Enabled         =   0   'False
         Height          =   375
         Left            =   3480
         TabIndex        =   10
         ToolTipText     =   "Remove this template."
         Top             =   4440
         Width           =   975
      End
      Begin VB.CommandButton cmdAdd 
         Caption         =   "Add"
         Enabled         =   0   'False
         Height          =   375
         Left            =   1320
         TabIndex        =   9
         ToolTipText     =   "Add this template."
         Top             =   4440
         Width           =   975
      End
      Begin VB.TextBox txtValue 
         BeginProperty Font 
            Name            =   "Verdana"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   2565
         Left            =   120
         MultiLine       =   -1  'True
         ScrollBars      =   2  'Vertical
         TabIndex        =   7
         Top             =   1440
         Width           =   4335
      End
      Begin VB.TextBox txtName 
         Height          =   285
         Left            =   720
         TabIndex        =   6
         Top             =   360
         Width           =   2775
      End
      Begin VB.Label Label3 
         Caption         =   "Index:"
         Height          =   255
         Left            =   120
         TabIndex        =   12
         Top             =   720
         Width           =   495
      End
      Begin VB.Label Label2 
         Caption         =   "Value:"
         Height          =   255
         Left            =   120
         TabIndex        =   8
         Top             =   1200
         Width           =   1215
      End
      Begin VB.Label Label1 
         Caption         =   "Name:"
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   360
         Width           =   615
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Existing Templates"
      Height          =   4935
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   3255
      Begin MSComctlLib.TreeView TemplatesList 
         Height          =   4575
         Left            =   120
         TabIndex        =   14
         Top             =   240
         Width           =   3015
         _ExtentX        =   5318
         _ExtentY        =   8070
         _Version        =   393217
         Style           =   7
         Appearance      =   1
      End
   End
End
Attribute VB_Name = "frmManage"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public Temp As templates.tmpeng

Private Sub cmdAdd_Click()
Dim CR, LF, Name, Value As String
Dim RetVal As Boolean
Dim AddBool As Boolean

strFreeFile = FreeFile
CR = Chr(2) 'replace Carriage Returns with this
LF = Chr(3) 'replace Line Feeds with this
Name = txtName.Text
Value = txtValue.Text
        
    If Len(Name) > 0 And Len(Value) > 0 Then
        RetVal = Temp.Check_Exists_Obj(Name, Value, TemplatesList)
        Debug.Print "Check_Exists_Obj Return=" & RetVal
        
        If RetVal = False Then
            AddBool = Temp.Template_AddB(Name, Value)
            Debug.Print "Add Template Return=" & AddBool
            
            If AddBool = False Then
                MsgBox ("Could Not Add the template '" & Name & "'!")
            Else
                Call Temp.Template_LoadA(TemplatesList)
            End If
        Else    'Template Exists =/
            MsgBox ("Template Exists!")
        End If
    End If
End Sub

Private Sub cmdApply_Click()
   Call Temp.Template_LoadA(TemplatesList)
   Call Temp.Template_LoadB(frmMain.mnuTemplate)
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdDone_Click()
    Call cmdApply_Click
    Unload Me
End Sub

Private Sub cmdModify_Click()
    Call Temp.Template_EditB(txtName.Text, txtValue.Text)
    Call Temp.Template_LoadA(TemplatesList)
End Sub

Private Sub cmdRemove_Click()
    Call Temp.Template_RmB(txtName.Text)
    
    txtName.Text = ""
    txtValue.Text = ""
    txtIndex.Text = ""
    
    Call Temp.Template_LoadA(TemplatesList)
    Call Temp.Template_LoadB(frmMain.mnuTemplate)
End Sub

Private Sub Form_Load()
    Set Temp = New templates.tmpeng
    Call Temp.Template_LoadA(TemplatesList)
End Sub

Private Sub TemplatesList_NodeClick(ByVal Node As MSComctlLib.Node)
    txtName.Text = Node.Text
    txtIndex.Text = Node.Index
    txtValue.Text = Node.Key
End Sub

Private Sub List1_Click()

End Sub

Private Sub txtName_Change()
    If Len(txtName.Text) > 0 Then
        cmdAdd.Enabled = True
        cmdModify.Enabled = True
        cmdRemove.Enabled = True
    Else
        cmdAdd.Enabled = False
        cmdModify.Enabled = False
        cmdRemove.Enabled = False
    End If
End Sub

Private Sub txtValue_Change()
    If Len(txtValue.Text) > 0 Then
        cmdAdd.Enabled = True
        cmdModify.Enabled = True
        cmdRemove.Enabled = True
    Else
        cmdAdd.Enabled = False
        cmdModify.Enabled = False
        cmdRemove.Enabled = False
    End If
End Sub

Private Sub Temp_LoadA(ByRef objObject As TreeView)
Dim szBuf As String, loc(1) As Integer
Dim strBuff(1) As String
Dim Indx, Name, Value As String
Dim CR, LF As String
Dim TempNewd As Object

'define variables
strFreeFile = FreeFile
CR = Chr(2) 'replace Carriage Returns with this
LF = Chr(3) 'replace Line Feeds with this

    objObject.Nodes.Clear
    
    Open App.Path & "\templates.dat" For Input As strFreeFile
    Do Until EOF(strFreeFile)
        Line Input #strFreeFile, strBuff(0)
            
            If Len(strBuff(0)) <> 0 Then
                loc(0) = InStr(1, strBuff(0), Chr(4))
                
                If loc(0) > 0 Then
                    If Len(strBuff(0)) > 0 Then Indx = Mid(strBuff(0), 1, loc(0) - 1)
            
                    strBuff(1) = Mid(strBuff(0), loc(0) + 1)
            
                    If Len(strBuff(1)) > 0 Then loc(1) = InStr(1, strBuff(1), Chr(4))
                    If loc(1) > 0 Then
                        Name = Mid(strBuff(1), 1, loc(1) - 1)
                                                                
                        Value = Mid(strBuff(1), loc(1) + 1)
                        
                        Name = Replace(Name, vbCr, CR)
                        Name = Replace(Name, vbLf, LF)
                        
                        TempNewd = objObject.Nodes.Add(, , Value, Name)
                        'TempNewd = objObject.Nodes.Add()
                        
                        TempNewd.Text = Name
                        TempNewd.Tag = Value
                    End If
            
                    Debug.Print "Index=" & Indx & " Name=" & Name & " Value=" & Value
                End If
            End If
    Loop
    Close strFreeFile
End Sub

Private Function Check_Exists(ByVal Name As String, ByVal Value As String, ByRef objObject As TreeView) As Integer
Dim i As Integer
    
    Check_Exists = 0
    
    For i = 1 To objObject.Nodes.Count
        If objObject.Nodes(i).Text = Name Then
            If objObject.Nodes(i).Tag = Value Then

                Check_Exists = 1
                Exit Function
            End If
        End If
    Next
End Function

